| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

- def : osEvent
- instances : osThreadDef_t
- item_sz : osMailQDef_t , osPoolDef_t
- mail_id : osEvent
- message_id : osEvent
- mutex : osMutexDef_t
- p : osEvent
- pool : osPoolDef_t , osMailQDef_t , osMessageQDef_t
- pool_sz : osPoolDef_t
- pthread : osThreadDef_t
- ptimer : osTimerDef_t
- queue_sz : osMessageQDef_t , osMailQDef_t
- semaphore : osSemaphoreDef_t
- signals : osEvent
- stacksize : osThreadDef_t
- status : osEvent
- timer : osTimerDef_t
- tpriority : osThreadDef_t
- v : osEvent
- value : osEvent